﻿using Syncfusion.SfChart.XForms;
using Syncfusion.SfChart.XForms.UWP;
using Native = Syncfusion.UI.Xaml.Charts;
using Xamarin.Forms.Platform.UWP;

[assembly: ExportRenderer(typeof(SimpleSample.ChartExt), typeof(SimpleSample.UWP.CustomChartRenderer))]
namespace SimpleSample.UWP
{
    class CustomChartRenderer : SfChartRenderer
    {
        protected override void OnElementChanged(ElementChangedEventArgs<SfChart> e)
        {
            base.OnElementChanged(e);
            Native.SfChart chart = this.Control as Native.SfChart;

            chart.Series.Clear();

            foreach (var formsSeries in e.NewElement.Series)
            {
                Native.FastColumnBitmapSeries fastColumn = new Native.FastColumnBitmapSeries();

                var properties = SfChartRenderer.GetPropertiesChanged(typeof(ChartSeries), formsSeries);

                foreach (var name in properties)
                {
                    ChartSeriesMapping.OnXyDataSeriesPropertiesChanged(name, formsSeries as ColumnSeries,
                        fastColumn);
                   
                }

                chart.Series.Add(fastColumn);
            }
        }
    }
}
